Skip to content
IForevents Docs
IForevents Docs
HomeDashboardGitHubPrivacyTermsSecurityIntroduction
Support and SLA

Invite a user into the caller's organization (admin only)

POST
/v1/auth/organization/user/register

Authorization

bearerAuth
AuthorizationBearer <token>

Session token issued by the accounts service (or the legacy /v1/auth routes).

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/auth/organization/user/register" \  -H "Content-Type: application/json" \  -d '{    "email": "[email protected]",    "full_name": "Grace Hopper",    "password": "a temporary passphrase",    "role_name": "viewer"  }'
{  "user": {    "created_at": "2026-09-13T12:30:45Z",    "email": "[email protected]",    "email_verified": true,    "name": "Ada Lovelace",    "organization_uuid": "0b7e2b1a-0a1b-4c2d-8e3f-4a5b6c7d8e9f",    "role_name": "viewer",    "role_uuid": "7a8b9c0d-1e2f-4a3b-8c4d-5e6f7a8b9c0d",    "status_uuid": "9d3f1e2c-5a6b-4c7d-8e9f-0a1b2c3d4e5f",    "updated_at": "2026-09-13T12:30:45Z",    "uuid": "c1d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f"  }}
email*string
full_name*string
organization_name?string
password*string
role_name*string

Ignored on public registration: the first user of an organization is its owner.